Skip to main content
POST
Update redirect rules

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

env_id
string
required
Example:

"54fb80af-576c-4fdc-ba4f-b596c83f15a1"

Body

application/json
action_type
enum<string>
required

The operation to perform:

  • NEW — add redirect rules. Supply them in rules_to_update.
  • UPDATE — replace an existing rule. Supply the rule to replace in rules_to_update and its replacement in new_value.
  • DELETE — remove the redirect rules listed in rules_to_update.
  • DELETE_ALL — remove all redirect rules.
Available options:
DELETE,
DELETE_ALL,
NEW,
UPDATE
Example:

"UPDATE"

rules_to_update
object[]
new_value
object
Example:

Response

Successfully updated redirect rules

result
null
required